Page MenuHomePhabricator

[Alignment][NFC] TargetLowering::allowsMemoryAccessForAlignment
ClosedPublic

Authored by gchatelet on Jun 8 2020, 3:41 AM.

Details

Summary

First patch of a series to adapt TargetLowering::allowsXXX functions

This patch is part of a series to introduce an Alignment type.
See this thread for context: http://lists.llvm.org/pipermail/llvm-dev/2019-July/133851.html
See this patch for the introduction of the type: https://reviews.llvm.org/D64790

Diff Detail

Event Timeline

gchatelet created this revision.Jun 8 2020, 3:41 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 8 2020, 3:41 AM
courbet added inline comments.Jun 9 2020, 2:05 AM
llvm/lib/CodeGen/TargetLoweringBase.cpp
1591–1592

the signature has been fixed in a previous patch unless I'm mistaken ?

gchatelet updated this revision to Diff 274137.Jun 29 2020, 8:18 AM
gchatelet marked an inline comment as done.
  • rebase
gchatelet marked an inline comment as done.Jun 29 2020, 8:22 AM
gchatelet added inline comments.
llvm/lib/CodeGen/TargetLoweringBase.cpp
1591–1592

Not yet unfortunately. It was blocked by a chain of dependencies linking to D82565.
This is now good to submit AFAICT.

courbet accepted this revision.Jun 30 2020, 7:59 AM
This revision is now accepted and ready to land.Jun 30 2020, 7:59 AM
This revision was automatically updated to reflect the committed changes.